| Home | Libraries | People | FAQ | More

## BoostBook element `destructor`

destructor — Declares a destructor for the enclosing class

## Synopsis

destructor ::= (purpose?, description?, requires?, effects?, postconditions?, returns?, throws?, complexity?, notes?, rationale?)

## Description

General documentation on functions in BoostBook is provided in the `function` element documentation.

## Attributes

Name | Type | Value | Purpose
--- | --- | --- | ---
last-revision | #IMPLIED | CDATA | Set to $Date: 2006/11/03 19:39:44 $ to keep "last revised" information in sync with CVS changes
specifiers | #IMPLIED | CDATA | The specifiers for this function, e.g., inline, static, etc.
id | #IMPLIED | CDATA | A global identifier for this element
xml:base | #IMPLIED | CDATA | Implementation detail used by XIncludes

| Copyright © 2003-2005 Douglas Gregor